package com.jiuqi.db;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.jiuqi.db.DBTrace;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Calendar;

public final class TraceEntry extends Exception {
  private final Calendar createTime;
  
  private final String createThread;
  
  private static final int OBJ_UNKNOWN = 0;
  
  private static final int OBJ_CONNECTION = 1;
  
  private static final int OBJ_STATEMENT = 2;
  
  private static final int OBJ_RESULTSET = 3;
  
  private static final String[] OBJ_NAMES = new String[] { "UNKNOWN", "CONNECTION", "STATEMENT", "RESULTSET" };
  
  private int objType = 0;
  
  public TraceEntry(Object obj) {
    this.createTime = Calendar.getInstance();
    this.createThread = Thread.currentThread().getName();
    if (obj instanceof java.sql.Connection) {
      this.objType = 1;
    } else if (obj instanceof java.sql.Statement) {
      this.objType = 2;
    } else if (obj instanceof java.sql.ResultSet) {
      this.objType = 3;
    } 
  }
  
  public Calendar getCreateTime() {
    return this.createTime;
  }
  
  public String getCreateThread() {
    return this.createThread;
  }
  
  public String toString() {
    DateFormat df = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss(SSS)");
    StringBuffer buffer = new StringBuffer(super.toString());
    buffer.append(" (").append(OBJ_NAMES[this.objType]).append(')')
      .append(" created by [").append(this.createThread).append("], on ")
      .append(df.format(this.createTime.getTime()));
    return buffer.toString();
  }
}
